Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 12/16/2021 in all areas

  1. I would recommend using http://www.lee-mac.com/numinc.html a lot more and easier to customize.
    1 point
  2. Like this? ;;; TX+INTEGERS+TX (defun c:tit (/ p n ni pref suff nns ntx ntxx oecho osn ds th txt) (setq oecho (getvar "cmdecho") osn (getvar "osmode") ) (if (= 0 (getvar "dimscale"))(setq ds 1.0)(setq ds (getvar "dimscale"))) (setq th (getvar "dimtxt")) (setq txt (getreal "\nText Height: ")) (setvar "cmdecho" 0) (setvar "osmode" 0) (if nn (setq nn (fix nn)) (setq nn 1) ) (if (= nn 0)(setq nn 1)) (princ "\n Increment numbers by < ") (princ nn) (princ " >? : ") (setq ni (getint)) (if (= ni nil) (setq ni nn) (setq nn ni) ) (if np (setq np (fix np)) (setq np nn) ) (princ "\n Start or continue with number < ") (princ np) (princ " >? : ") (setq n (getint)) (if (= n nil) (setq n np) (setq np n) ) (setq nns (itoa n)) (princ "\n Prefix text < ") (princ pre) (princ " >? or <.> for none: ") (setq pref (getstring t)) (if (= pref ".") (progn (setq pre nil) (setq pref nil) ) (progn (if (= pref "") (setq pref pre) (setq pre pref) ) (if pref (setq ntx (strcat pref nns)) ) ) ) (princ "\n Suffix text < ") (princ suf) (princ " >? or <.> for none: ") (setq suff (getstring t)) (if (= suff ".") (progn (setq suf nil) (setq suff nil) ) (progn (if (= suff "") (setq suff suf) (setq suf suff) ) (if suff (if pref (setq ntxx (strcat pref nns suff)) (setq ntxx (strcat nns suff)) ) ) ) ) (setq p (getpoint "\n Insert: ")) (setq oecho (getvar "cmdecho")) (while p (if suff ;(command "text" "j" "mc" p "" "" ntxx) (entmake (list (cons 0 "TEXT") (cons 10 p) (cons 11 p) (cons 1 ntxx) ; actual text (cons 7 (getvar "TEXTSTYLE")) (cons 40 txt) (cons 72 4) ) ) (if pref ;(command "text" "j" "mc" p "" "" ntx) (entmake (list (cons 0 "TEXT") (cons 10 p) (cons 11 p) (cons 1 ntx); actual text (cons 7 (getvar "TEXTSTYLE")) (cons 40 txt) (cons 72 4) ) ) ;(command "text" "j" "mc" p "" "" n) (entmake (list (cons 0 "TEXT") (cons 10 p) (cons 11 p) (cons 1 n); actual text (cons 7 (getvar "TEXTSTYLE")) (cons 40 txt) (cons 72 4) ) ) ) ) (setq p (getpoint "\n Next number location: ") n (+ ni n) nns (itoa n) np n ) (if suff (if pref (setq ntxx (strcat pref nns suff)) (setq ntxx (strcat nns suff)) ) ) (if pref (if suff (setq ntxx (strcat pref nns suff)) (setq ntx (strcat pref nns)) ) ) ) (setvar "cmdecho" oecho) (setvar "osmode" osn) (princ) ) (princ "\n Type > TIT < to insert text with ascending integers.")
    1 point
  3. I've always left OSNAPCOORD (System Variable) set to the Initial value of 2 as coordinate values are important for Civil 3D. There may be other uses for AutoCAD correct coordinates aren't that important but I couldn't recommend modifying a default system variable without explaining why. TAB to cycle through those osnap options which might be coming into play close to your pickbox location is a good tip!
    1 point
  4. Type osmode change your osnap setting type osmode again bit of a hint there look at number displayed. Get pen and paper
    1 point
  5. You might see if CadTools has what you need.
    1 point
  6. Like Dexus you can use a COND rather than a IF (setq obj (cdr (assoc 0 (entget e)))) (cond ((= obj "LINE")(ssadd e lines)) ((= obj "POINT")(ssadd e points)) ((= obj "LWPOLYLINE")(ssadd e plines)) other objects )
    1 point
  7. Maybe it's a graphics card issue. I've always been impressed with how logically Object Snaps work. When snapping to an Endpoint which may have other possible snaps close by remember you can pick anywhere on that half of the segment so there should never be a reason to accidentally snap to the wrong point. I have coworkers that still feel the need to hover near the endpoint for snapping to them though, drives me nuts. With your settings it logically only snaps to Perpendicular or Center if you're not near one of the more specifically defined ones like Endpoint, Midpoint or Intersection. You don't need to check Intersection mode as it's logically included with Apparent intersection checked. The visual cue for Intersection will display if it's not just an Apparent intersection.
    1 point
  8. I use them all the time, but I just activate what I need - that saves having a machine to pick the one that I thought of! I have my PICKBOX set to 4 and my Aperture set to 7.
    1 point
  9. Yep, your only recourse is to find that chm file on an old ACad installation. Or use this online version: http://entercad.ru/acadauto.en/ It's "realy" stupid of adesk to get rid of this, as their online docs are still referring to these functions: http://docs.autodesk.com/ACD/2011/ENU/filesALG/WSfacf1429558a55de185c428100849a0ab7-7c71.htm http://docs.autodesk.com/ACD/2011/ENU/filesALG/WS73099cc142f4875516d84be10ebc87a53f-7bfe.htm
    1 point
  10. The only documentation for the ActiveX vla-* functions is written for VBA and is located under the 'ActiveX and VBA Reference' section in the VLIDE Help Documentation. The associated help file is the 'acadauto.chm' file. Unfortunately, when the help migrated to the online content in AutoCAD 2011, the ActiveX / VBA reference was removed. IMO, a ridiculous decision, since new developers looking to learn Visual LISP without access to the AutoCAD 2010 Help files have no reference.
    1 point
×
×
  • Create New...